<?
include "config.php";
?><head><LINK rel="stylesheet" HREF="../style.css" type="text/css">
<? if ($_GET['mode'] == "ansoeg"){ ?>
<h2>Regler for partnerskab:</h2>
1.) Din side må ikke indeholde pornogrfiske film eller billeder.<br>
2.) Din side må ikke indeholde programmer som kan medføre til hack.<br>
3.) Din side skal have et okay flot design, og det må kun være en webbyen side hvis den er flot!<br>
4.) Du skal have mindst 10 besøgende om dagen, hvis ikke deaktivere vi dit partnerskab!<br>
<br>
<b>Sådan sker det</b><br>
Du placere vores banner på din side, og derefter ansøger du mig, vi kigger så en gang imellem om der er nye bannere.
Du skal læse reglerne igennem, og så kan vi finde ud af det med partnerskabet!<br>Misbrug af partnersystemet er ikke tilladt, hver gang du tilføjer et banner kan jeg se din ip, og den vil blive anmeldt!<br>

<form method="POST" name="partner_ansoeg" action="?mode=ansoeg">
Dit bannerbyt-logo's url (uden http://):<br><input type="text" name="qlink" class="input"><br>
Din hjemmeside´s url (uden http://):<br><input type="text" name="link" class="input"><br>
<input type="submit" name="knap" value="Ansøg om partnerskab" class="button">
</form>
<?
if($_SERVER["REQUEST_METHOD"] == "POST")
{
$licens ='no';
if(empty($_POST["qlink"])) { echo "<b>Du mangler at skrive dit bannerbyt-logo's url!</b><br><br>";
} elseif(empty($_POST["link"])) { echo "<b>Du mangler at skrive din webside!</b><br><br>";
} else {
mysql_query("INSERT INTO partner(qlink, link, licens) values('".$_POST["qlink"]."', '".$_POST["link"]."', '".$licens."')");
echo "<b>Din ansøgning er nu gemt.</b><br><br>";
}
}
?><br>
Mit banner ser således ud:<br> <img src="../banner.png"> - Mit banner er ikke flot endnu, da mit tekstprogram er nede!

<? } else { ?>
Vil du være partner med mig? Så tryk <a href="?mode=ansoeg">her</a><br><br>
<?
$g = mysql_query("SELECT * FROM partner where licens = 'yes' ORDER BY id DESC");
while($row = mysql_fetch_array($g))
{
echo "<a href=\"?mode=videresend&id=".$row["id"]."\" target=\"_blank\"><img src=\"http://$row[qlink]\" border=\"0\" alt=\"Hits: $row[hits]\" title=\"Hits: $row[hits]\"></a>  ";
}
?>
<? if ($_GET['mode'] == "videresend"){ ?>
<?
$q11 = mysql_query("SELECT * FROM partner where id = '".$_GET['id']."'");
while ($row = mysql_fetch_array($q11)) { 
$hits = $row[hits] + 1;
echo "<meta http-equiv=Refresh content=0;url=http://$row[link]>";
mysql_query("UPDATE partner SET hits = '".$hits."' WHERE id = '".$row[id]."'") or die(mysql_error());
}
} 
?>
<?
}
?>

